package org.example;

public class PoolThreadRunnable implements Runnable {
    private Thread thread = null;
    private MyBlockingQueue<Runnable> taskQueue = null;
    private boolean isStopped = false;
    public PoolThreadRunnable(MyBlockingQueue<Runnable> queue) {
        taskQueue = queue;
    }
    public void run() {
        this.thread = Thread.currentThread();
        while (!isStopped()) {
            try {
                Runnable runnable = taskQueue.take();
                runnable.run();
            } catch (Exception e) {
            }
        }
    }
    public synchronized void doStop() {
        isStopped = true;
        this.thread.interrupt();
    }
    public synchronized boolean isStopped() {
        return isStopped;
    }
}